Skip to content
Navigation

Makes one of the customer's saved payment methods their default, which their subscriptions renew on.

PUT
https://api.sherpo.io/customer/v1/stores/{store}/payment_methods/{instrument}/default

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    A hostname of the store.

  • instrument
    string
    required
    minLength: 1

Request body JSON optional

Returns

200

Makes one of the customer's saved payment methods their default, which their subscriptions renew on.

JSON
  • processors
    array of
    object
    required
    • processor
      string
      required
    • customer_ref
      string
      required
    • instruments
      array of
      object
      required
      • id
        string
        required
      • type
        string
        required
      • display
        object
        required
        • brand
          required

          One of the following:

          • string
          • null
        • last4
          required

          One of the following:

          • string
          • null
        • expiration
          required

          One of the following:

          • object
          • null
      • is_default
        boolean
        required
      • created_at
        required

        One of the following:

        • string
        • null
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close